Subject: Re: bug#52994: 29.0.50; Help descriptions from menu bar items don't appear in the echo area

From: Alan Third <[email-masked]>
Date: Sat, 22 Jan 2022 11:28:26 +0000

On Thu, Jan 20, 2022 at 07:41:57PM +0800, Po Lu wrote:
> Alan Third <[email-masked]> writes:
> 
> > Oh, sorry, I totally misread this and thought it was about the
> > toolbar.
> 
> If you'd like, I'll take a stab at implementing the display of menu bar
> help text in the echo area on NS later today, or tomorrow.

Feel free.

> > You're right, I don't expect tooltips to appear for menu items and I'm
> > not sure whether it's even possible to update the Emacs frame while
> > the menus are open.
> 
> I think it is.  The echo area redisplays normally, to the best of my
> knowledge.

It certainly used to be the case that, at least on macOS, opening a
menu would freeze Emacs completely, as the menu code would go into its
own event loop. Perhaps that's no longer the case.
-- 
Alan Third